Software Requirements for JDBC Thin and UCP Connections

Before connecting with JDBC Thin driver to the Oracle Database Exadata Express Cloud Service, you must satisfy the following software requirements.

  • You must have JDK 8 (any version JDK8u71 or higher) or JDK 7 (JDK7u80).

  • Download the JCE Unlimited Strength Jurisdiction Policy Files from here. Follow installation notes in the README.

  • Download the 12.1.0.2 JDBC Thin driver (ojdbc7.jar ) and UCP (ucp.jar) from Oracle Technology Network.

    Note:

    You must use a patched version of 12.1.0.2 JDBC Thin driver (ojdbc7.jar) from Oracle Technology Cloud Download .

See JDBC/UCP Connectivity for Java SE, Java EE Containers, and Java Cloud Service and JDBC/UCP Connectivity for Java IDEs for more details.